For the complete documentation index, see llms.txt. This page is also available as Markdown.

SIM Location

Locate a SIM

post

Interrogates the network for current location information. If the device is offline, or the current location is not available, returns the last recorded value.

Identify the SIM using either iccid or msisdn.

Optional fields

Send null without quotes for any object you do not want to set. The value remains as previously set. To set a new value, replace null with the value in quotes. To remove an existing value, send an empty string.

Authorizations
PHPSESSIDstringRequired

The session cookie established when the user logs in. Sent as Cookie: PHPSESSID=<CookieNumber>.

The Location API username and password are sent separately, in the request body of each call.

Body
and
Responses
200

The request was processed. Check status.status to determine whether the lookup succeeded.

application/json
iccidstringOptional

The unique Integrated Circuit Card Identifier for the located SIM.

Example: 8944500000000000000
msisdnstringOptional

The unique primary SIM phone number (Mobile Station International ISDN Number).

Example: 447700900000
latnumber · doubleOptional

Latitude value of the last cell mast that the SIM used.

Example: 51.2394
lonnumber · doubleOptional

Longitude value of the last cell mast that the SIM used.

Example: -0.6036
countrynamestringOptional

The last recorded country the SIM was in.

Example: United Kingdom
countrycodestringOptional

The ISO 3166 Alpha-2 code of the last recorded country the SIM was in.

Example: GB
timezonestringOptional

The TZ database name of the last recorded time zone the SIM was in.

Example: Europe/London
request_idstringOptional

The returned request identifier, for tracking responses.

Example: 42
post/index/locatedevice
POST /index/locatedevice HTTP/1.1
Host: location.eseye.com
Content-Type: application/json
Accept: */*
Content-Length: 107

{
  "request_id": "42",
  "iccid": "8944500000000000000",
  "username": "ExampleUsername",
  "password": "ExamplePassword"
}
200

The request was processed. Check status.status to determine whether the lookup succeeded.

{
  "iccid": "8944500000000000000",
  "msisdn": "447700900000",
  "lat": 51.2394,
  "lon": -0.6036,
  "countryname": "United Kingdom",
  "countrycode": "GB",
  "timezone": "Europe/London",
  "status": {
    "status": "OK",
    "errorCode": "",
    "errorMessage": ""
  },
  "request_id": "42"
}

Export SIM locations as a KMZ file

post

Returns a compressed Keyhole Markup Language (KMZ) file detailing the Google Earth location of one or more SIMs. Install Google Earth or Google My Maps to import the file and view the mapped locations.

Limit each request to a maximum of 10 ICCIDs to reduce load on the server.

In Postman, test the request using Send before you use Send and Download.

Optional fields

Send null without quotes for any object you do not want to set. The value remains as previously set. To set a new value, replace null with the value in quotes. To remove an existing value, send an empty string.

Authorizations
PHPSESSIDstringRequired

The session cookie established when the user logs in. Sent as Cookie: PHPSESSID=<CookieNumber>.

The Location API username and password are sent separately, in the request body of each call.

Body
usernamestringRequired

The Eseye-assigned Location API username.

Example: ExampleUsername
passwordstring · passwordRequired

The Eseye-assigned Location API password.

Example: ExamplePassword
request_idstringOptional

A request identifier for tracking responses.

Example: 1
groupstringOptional

The group name for the SIMs. If left blank, the request is not limited to a group.

Example: ExampleGroup
iccidstring[] · max: 10Optional

The list of one or more SIMs that you want to locate, by Integrated Circuit Card Identifier. Search for a maximum of 10 ICCIDs in one request to reduce the load on the server.

Example: ["8944500000000000000","8944500000000000001","8944500000000000002"]
Responses
200

A compressed KML file containing the mapped SIM locations. Add a .kml extension to the file name when you save it, then import the file into Google Earth or Google My Maps to view the SIM locations.

A request that fails returns a JSON body instead of the file. Check status.status to determine whether the export succeeded.

string · binaryOptional
post/index/kmz
POST /index/kmz HTTP/1.1
Host: location.eseye.com
Content-Type: application/json
Accept: */*
Content-Length: 175

{
  "request_id": "1",
  "username": "ExampleUsername",
  "password": "ExamplePassword",
  "group": "ExampleGroup",
  "iccid": [
    "8944500000000000000",
    "8944500000000000001",
    "8944500000000000002"
  ]
}
200

A compressed KML file containing the mapped SIM locations. Add a .kml extension to the file name when you save it, then import the file into Google Earth or Google My Maps to view the SIM locations.

A request that fails returns a JSON body instead of the file. Check status.status to determine whether the export succeeded.

binary

Last updated

Was this helpful?